categoryToEntrezBuilder {PCpheno} | R Documentation

## Return a list mapping multi-protein complexes IDs to YEAST ids

### Description

Return a list mapping multi-protein complexes (category) IDs to the YEAST ids annotated at the category id.

### Usage

    ## S4 method for signature 'CoHyperGParams':
    categoryToEntrezBuilder(p)

### Arguments

`p` | A subclass of `HyperGParams-class`

### Details

End users should not call this directly. This method gets called from `hyperGTest`. To add support for a new category, a new method for this generic must be defined. Its signature should match a subclass of `HyperGParams-class` appropriate for the new category.

### Value

A list mapping category IDs to YEAST identifiers.

### Author(s)

S. Falcon and N. LeMeur

### See Also

`hyperGTest` `CoHyperGParams-class`

### Examples

    data(ScISIC)
    data(essglist)
    essential <- names(essglist)

    params <- new("CoHyperGParams",
                  geneIds=essential,
                  universeGeneIds=rownames(ScISIC),
                  annotation="org.Sc.sgd.db",
                  categoryName="ScISIC",
                  pvalueCutoff=0.01,
                  testDirection="over")

    categoryToEntrezBuilder(params)[1:2]

[Package PCpheno version 1.6.0 Index]